﻿#region Using Statements
using System;
using System.Collections.Generic;
using RhinoXNA.RhinoGraphics.Rhino2D;
using RhinoXNA.RhinoGameObjects;
#endregion

namespace AsteroidsGame.Game_Objects
{
    public class Explosion : SpriteEntity
    {
        public Explosion(List<String> parameters)
            : base(parameters)
        {

        }

        protected override void Animate(Microsoft.Xna.Framework.GameTime gameTime)
        {
            //Fade
            this.Scale = new Microsoft.Xna.Framework.Vector2((float)(this.Scale.X - 0.01), (float)(this.Scale.Y - 0.01));

            if (this.Scale.X <= 0.0f)
            {
                RhinoEntityManager.Instance.RemoveEntity(this.Handle);
            }
        }
    }
}
