﻿#region Using Statements
using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace RhinoXNA
{
    /// <summary>
    /// Interface to provide common graphics functionality
    /// </summary>
    public interface IRhinoGraphicsComponent
    {
        #region Properties
        String Handle { get; set; }
        #endregion

        #region Methods
        void Update(GameTime gameTime);
        void Render();
        #endregion
    }
}
