﻿#region Using Statements
using System.Collections.Generic;
using RhinoXNA.RhinoUtilities;
#endregion

namespace RhinoXNA.RhinoGraphics.Rhino2D
{
    /// <summary>
    /// Interface to provide similar functionality to menus
    /// </summary>
    public abstract class RhinoMenu : IRhinoGraphicsComponent
    { 
        #region IRhinoGraphicsComponent Members
        public abstract void Update(Microsoft.Xna.Framework.GameTime gameTime);
        public abstract void Render();
        #endregion

        #region Protected Variables
        protected List<IMenuItem> _menuItems;
        protected InputBinding _inputBinding;
        #endregion

        /// <summary>
        /// Defaults some protected members
        /// </summary>
        public RhinoMenu()
        {
            _menuItems = new List<IMenuItem>();
        }

        #region IRhinoGraphicsComponent Members

        public string Handle { get; set; }

        #endregion
    }
}
